Package org.eclipse.ui.internal

# Class PartTaggedAsEditorPropertyTester

java.lang.Object
org.eclipse.core.expressions.PropertyTester
org.eclipse.ui.internal.PartTaggedAsEditorPropertyTester

All Implemented Interfaces:
  `IPropertyTester`

public class PartTaggedAsEditorPropertyTester extends PropertyTester

Tests whether the object under test represents an MPart instance which is tagged as being one which represents an Editor (rather than a View).

This test is performed via a query of the tags associated with the MPart, and checking whether this collection contains the `Workbench.EDITOR_TAG` identifier.

## Constructor Summary

Constructors
Constructor
Description
`PartTaggedAsEditorPropertyTester()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(Object receiver, String property, Object[] args, Object expectedValue)`
Executes the property test determined by the parameter `property`.

### Methods inherited from class org.eclipse.core.expressions.PropertyTester

`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PartTaggedAsEditorPropertyTester

public PartTaggedAsEditorPropertyTester()

## Method Details

### test

public boolean test(Object receiver, String property, Object[] args, Object expectedValue)
Description copied from interface: `IPropertyTester`
Executes the property test determined by the parameter `property`.

Parameters:
  `receiver` - the receiver of the property test
  `property` - the property to test
  `args` - additional arguments to evaluate the property. If no arguments are specified in the `test` expression an array of length 0 is passed
  `expectedValue` - the expected value of the property. The value is either of type `java.lang.String` or a boxed base type. If no value was specified in the `test` expressions then `null` is passed
Returns:
  returns `true` if the property is equal to the expected value; otherwise `false` is returned